## com.google.gwt.event.dom.client
Interface HasNativeEvent

All Known Implementing Classes:
  BlurEvent, ChangeEvent, ClickEvent, ContextMenuEvent, DomEvent, DoubleClickEvent, ErrorEvent, Event.NativePreviewEvent, FocusEvent, KeyCodeEvent, KeyDownEvent, KeyEvent, KeyPressEvent, KeyUpEvent, LoadEvent, LoseCaptureEvent, MouseDownEvent, MouseEvent, MouseMoveEvent, MouseOutEvent, MouseOverEvent, MouseUpEvent, MouseWheelEvent, ScrollEvent

    public interface HasNativeEvent

An object that implements this interface has a native event associated with it.

Method Summary
`NativeEvent` | `getNativeEvent()` Gets the underlying native event.

Method Detail

### getNativeEvent

    NativeEvent getNativeEvent()

  Gets the underlying native event.

  Returns:
    the native event